[package]
name = "hottub"
version = "0.1.0"
edition = "2024"
build = "build.rs"

[features]
debug = []

[dependencies]
cute = "0.3.0"
diesel = { version = "2.2.10", features = ["sqlite", "r2d2"] }
dotenvy = "0.15.7"
env_logger = "0.11.8"
error-chain = "0.12.4"
futures = "0.3.31"
htmlentity = "1.3.2"
ntex = { version = "2.15.1", features = ["tokio"] }
ntex-files = "2.0.0"
serde = "1.0.228"
serde_json = "1.0.145"
tokio = { version = "1.49", features = ["full"] }
wreq =  { version = "6.0.0-rc.26", features = ["cookies", "multipart", "json"] }
wreq-util = "3.0.0-rc.10"
percent-encoding = "2.3.2"
capitalize = "0.3.4"
url = "2.5.7"
base64 = "0.22.1"
scraper = "0.24.0"
once_cell = "1.21.3"
rustc-hash = "2.1.1"
async-trait = "0.1"
regex = "1.12.2"
titlecase = "3.6.0"
dashmap = "6.1.0"
lru = "0.16.3"
rand = "0.10.0"
chrono = "0.4.44"
md5 = "0.8.0"

[lints.rust]
unexpected_cfgs = "allow"
# Or keep it as a warning but whitelist the cfg:
# unexpected_cfgs = { level = "warn", check-cfg = ['cfg(has_error_description_deprecated)'] }

[profile.dev]
opt-level = 0
debug = 1
codegen-units = 256
incremental = true

[profile.release]
# Make release builds faster by trading some peak perf for compile time.
# - opt-level = 2: slightly less optimization than 3 but noticeably faster builds.
# - codegen-units > 1: enables parallel code generation across crates.
# - lto = false: disabling link-time optimization speeds up linking.
# - debug = 0: skip debug info to reduce build work.
opt-level = 3
codegen-units = 16
lto = false
debug = 0
